* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

:root {
    --white: #FFFFFF;
    --purple: #50865E;
    --purplec: #49A365;
    --noir: #333333;
    --font1: 'Roboto', sans-serif;
}

.delete-hardskill-button, .delete-softskill-button {
    cursor: pointer;
    transition: transform .3s ease;
}
.delete-hardskill-button:hover, .delete-softskill-button:hover{
    font-weight: bold;
    transform: scale(1.5);
}
#profil-main{
    display: flex;
    max-width: 1400px;width:100%;margin: 0 auto;padding: 0 1rem;
}

#profilpic {
    border-radius: 50%;
    padding: 1rem;
}

#divonglet2, #divonglet3, #divonglet4 {
    display: none;
}

#sidebar_left{
   background-color:  #F3F4F8;
}

input{
    outline: none;
}

/*RESUME*/

#resume .wrap .container{
    padding: 1rem 0 0 0;
}
#resume .wrap .container .profil{
    background-color: var(--white);
    box-shadow: 5px 5px 5px gray;
    border-radius: 10px;
    padding: 5rem;
    color: var(--noir);
}
#resume .wrap .container .presentation{
    display: flex;
    justify-content: space-between;
}
#resume .wrap .container .intro{
    width: 50%;
    text-align: justify;
}
#resume .wrap .container .intro h2{
    text-align : center;
    padding-bottom: 1rem;
}
#resume .wrap .container .stat{
    padding: 1rem 0 0 0;
    text-align: center;
}
    #resume .wrap .boxs .competence{
    background-color: var(--white);
    box-shadow: 5px 5px 5px gray;
    border-radius: 10px;
    padding: 3rem;
    width: 100%;
}
#resume .wrap .boxlarge .competence{
    width: 100%;
}
#resume .wrap .boxs {
    display: flex;
    gap: 2rem;
    padding-top: 1rem;
    text-align: center;
}
#resume .wrap .boxs .title{
    color: gray;
    text-align: left;
    position: relative;
    bottom: 1rem;
    left: -2rem;
}
#resume .wrap .boxs .box{
    border-bottom: 3px inset;
}
#resume .wrap .boxs .boxline{
    display: flex;
    justify-content: center;
    align-items: flex-end;
    text-align: center;
    gap: 30%;
}
#resume .wrap .boxs .box .txt{
   color: gray;
}
#resume .wrap .presentation .status , .stat , .intro .title{
   color: gray;
}
#resume .wrap .boxs .box .titles , .presentation .intro .txt{
   color: black;
    font-weight: 700;
}
#resume .wrap .presentation .name{
    color: var(--purple);
}
#resume .wrap .presentation .stat .block{
    padding: 1vw 0 0 0 ;
    background: var(--purple);
    border-radius: 10px;
}
#resume .wrap .presentation .stat{
    font-size: 10px;
}
#resume .wrap .presentation .stat span{
    color: var(--purple);
    padding-left: 1rem;
}
#main-content {
    margin: 0 auto;
    width: 70%;
}
.experience {
    max-height:600px;
    overflow-y:scroll;
}


/*INFORMATION*/

#form-info{
    width: 100%;
}

#form-info #dropdown{
    width: 100%;
    box-shadow: 6px 7px 4px rgba(0, 0, 0, 0.35);
    border-radius: 14px;
    background-color: #fff;
}

#form-info #dropdown #title-info{
    color: #fff;
    background-color: #50865E;
    width: 100%;
    padding: .5rem 1.5rem;
    border-radius: 14px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    transition: all .3s;
    align-items: center;
}


#form-info #dropdown #title-info #close-info{
    font-size: 20px;
    color: #fff;
}
#form-info #dropdown #title-info #close-softskill{
    font-size: 20px;
    color: #fff;
}


#form-info #dropdown #title-info:hover{
    scale: 1.02;
}

#form-info #dropdown form{
    height: 0px;
    overflow: hidden;
    transition: all .3s;
}

#form-info #dropdown form label{
    margin-top: 1rem;
}

#form-info #dropdown form .form_box1{
    display: flex;
    justify-content: space-between;
}

#form-info #dropdown form .form_box1 .left,.right{
    display: flex;
    flex-direction: column;
    width: 47%;
}

#form-info #dropdown form .form_box1 .left input,.right input{
    padding: .5rem;
    border: solid 1px;
    border-radius: 14px;
}

#form-info #dropdown form .box-mid{
    width: 100%;
    display: flex;
    flex-direction: column;
}

#form-info #dropdown form .box-mid input{
    padding: .5rem;
    border: solid 1px;
    border-radius: 14px;
}

#form-info #dropdown form .form_box2{
    display: flex;
    justify-content: space-between;
}

#form-info #dropdown form .form_box2 .left, .right{
    display: flex;
    flex-direction: column;
    width: 47%;
}

#form-info #dropdown form .form_box2 .left input, .right input{
    padding: .5rem;
    border: solid 1px;
    border-radius: 14px;
}

#form-info #dropdown form .form_button{
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 2rem;
}

#form-info #dropdown form .form_button input{
    width: 47%;
    padding: .5rem 0;
    font-size: 20px;
    cursor: pointer;
}

#form-info #dropdown form .form_button .btn-annuler{
    background-color: #fff;
    color: #50865E;
    border: solid 1px #000;
    border-radius: 14px;
}

#form-info #dropdown form .form_button .btn-sauvegarder{
    background-color: #50865E;
    color: #fff;
    border-radius: 14px;
    border: none;
}

/* Softskill */

#form-softskill{
    width: 100%;
    box-shadow: 6px 7px 4px rgba(0, 0, 0, 0.35);
    border-radius: 14px;
    background-color: #fff;
}

#form-softskill #title-softskill{
    margin-top: 1.5rem;
    color: #fff;    
    background-color: #50865E;
    width: 100%;
    padding: .5rem 1.5rem;
    border-radius: 14px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    align-items: center;
    transition: all .3s;
}
#form-softskill #title-softskill:hover{
    scale: 1.02;
}

#form-softskill #div-softskill{
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
}

#form-softskill #div-softskill div{
    width: 60%;
}

#form-softskill #div-softskill div ul{
    max-height:400px;
    overflow-y:scroll;
}

#form-softskill #div-softskill div ul li{
    background-color: #F3F4F8;
    width: 100%;
    display: flex;
    padding: .5rem;
    justify-content: space-between;
    margin: .5rem auto;
}

#form-softskill #div-softskill #todo-form{
    margin: 0 auto;
    height: 0;
    transition: all .3s;
}

#form-softskill #div-softskill #todo-form .add-group{
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}
#form-softskill #div-softskill #todo-form .add-group input{
    border: solid 1px;
    padding: .5rem;
    border-radius: 12px;
    width: 54%;
}
#form-softskill #div-softskill #todo-form .add-group select{
    border: solid 1px;
    width: 100%;
    padding: .5rem;
    border-radius: 12px;
    cursor: pointer;
}
#form-softskill #div-softskill #todo-form .add-group #submit_form2{
    border: solid 1px;
    width: 28%;
    padding: .5rem;
    border-radius: 12px;
    background-color: #50865E;
    color: #fff;
    cursor: pointer;
}

/* Hardskills */

#form-hardskill2{
    width: 100%;
    box-shadow: 6px 7px 4px rgba(0, 0, 0, 0.35);
    border-radius: 14px;
    background-color: #fff;
}

#form-hardskill2 #title-hardskill2{
    margin-top: 1.5rem;
    color: #fff;    
    background-color: #50865E;
    width: 100%;
    padding: .5rem 1.5rem;
    border-radius: 14px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    align-items: center;
    transition: all .3s;
}
#form-hardskill2 #title-hardskill2:hover{
    scale: 1.02;
}

#form-hardskill2 #div-hardskill2{
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
}
#form-hardskill2 #div-hardskill2 div{
    width: 60%;
}

#form-hardskill2 #div-hardskill2 div ul{
    max-height:400px;
    overflow-y:scroll;
}

#form-hardskill2 #div-hardskill2 div ul li{
    background-color: #F3F4F8;
    width: 100%;
    display: flex;
    padding: .5rem;
    justify-content: space-between;
    margin: .5rem auto;
}
#form-hardskill2 #div-hardskill2 div ul li div {
display: flex;
    justify-content: space-between;
}

#form-hardskill2 #div-hardskill2 #todo-form2{
    margin: 0 auto;
    height: 0;
    transition: all .3s;

}

#form-hardskill2 #div-hardskill2 #todo-form2 .add-group2{
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}
#form-hardskill2 #div-hardskill2 #todo-form2 .add-group2 input{
    border: solid 1px;
    padding: .5rem;
    border-radius: 12px;
    width: 54%;
}
#form-hardskill2 #div-hardskill2 #todo-form2 .add-group2 select{
    border: solid 1px;
    width: 50%;
    padding: .5rem;
    border-radius: 12px;
    cursor: pointer;
}
#form-hardskill2 #div-hardskill2 #todo-form2 .add-group2 #submit_form3{
    border: solid 1px;
    width: 28%;
    padding: .5rem;
    border-radius: 12px;
    background-color: #50865E;
    color: #fff;
    cursor: pointer;
}



/* Hardskills */

#form-diplome{
    width: 100%;
    box-shadow: 6px 7px 4px rgba(0, 0, 0, 0.35);
    border-radius: 14px;
    background-color: #fff;
}

#form-diplome #title-diplome{
    margin-top: 1.5rem;
    color: #fff;
    background-color: #50865E;
    width: 100%;
    padding: .5rem 1.5rem;
    border-radius: 14px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    align-items: center;
    transition: all .3s;
}
#form-diplome #title-diplome:hover{
    scale: 1.02;
}

#form-diplome #div-diplome{
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
}
#form-diplome #div-diplome div{
    width: 60%;
}

#form-diplome #div-diplome div ul{
    max-height:400px;
    overflow-y:scroll;
}

#form-diplome #div-diplome div ul li{
    background-color: #F3F4F8;
    width: 100%;
    display: flex;
    padding: .5rem;
    justify-content: space-between;
    margin: .5rem auto;
}
#form-diplome #div-diplome div ul li div {
    display: flex;
    justify-content: space-between;
}

#form-diplome #div-diplome #todo-form3{
    margin: 0 auto;
    height: 0;
    transition: all .3s;

}

#form-diplome #div-diplome #todo-form3 .add-group3{
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}
#form-diplome #div-diplome #todo-form3 .add-group3 input{
    border: solid 1px;
    padding: .5rem;
    border-radius: 12px;
    width: 54%;
}
#form-diplome #div-diplome #todo-form3 .add-group3 select{
    border: solid 1px;
    width: 50%;
    padding: .5rem;
    border-radius: 12px;
    cursor: pointer;
}
#form-diplome #div-diplome #todo-form3 .add-group3 #submit_form3{
    border: solid 1px;
    width: 28%;
    padding: .5rem;
    border-radius: 12px;
    background-color: #50865E;
    color: #fff;
    cursor: pointer;
}




/* Experience pro */
#form-experience {
    width: 100%;
    box-shadow: 6px 7px 4px rgba(0, 0, 0, 0.35);
    border-radius: 14px;
    background-color: #fff;
}

#form-experience #title-experience {
    margin-top: 1.5rem;
    color: #fff;
    background-color: #50865E;
    width: 100%;
    padding: .5rem 1.5rem;
    border-radius: 14px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    align-items: center;
    transition: all .3s;
}
#form-experience #title-experience:hover {
    transform: scale(1.02);
}

#form-experience #div-experience {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    align-items: center;
    height: 0;
}

#form-experience #div-experience #experience-form #experience-list {
    max-height:400px;
    overflow-y:scroll;
}

#form-experience #div-experience div {
    width: 80%;
    align-items: center;
}

#form-experience #div-experience div ul li {
    background-color: #F3F4F8;
    width: 95%;
    display: flex;
    padding: .5rem;
    justify-content: space-between;
    margin: .5rem auto;
}

#form-experience #div-experience #todo-form4 {
    margin: 0 auto;
    height: 0;
    transition: all .3s;
}

#form-experience #div-experience .add-group4 {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

#form-experience #div-experience .add-group4 .form-group {
    display: flex;
    flex-direction: column;

}

#form-experience #div-experience .add-group4 label {
    width: 100%;
    text-align: left;
    margin-bottom: .5rem;
    font-weight: bold;
}

#form-experience #div-experience .add-group4 input[type="text"], #form-experience #div-experience .add-group4 input[type="date"], #form-experience #div-experience #todo-form .add-group4 input[type="date"] {
    border: solid 1px;
    padding: .5rem;
    border-radius: 12px;

}
#form-experience #div-experience .add-group4 #submit_form4 {
    border: solid 1px;
    width: 100%;
    padding: .5rem;
    border-radius: 12px;
    background-color: #50865E;
    color: #fff;
}

footer{
    margin-top: 2rem;
}